<template>
    <div>
        <crumbs title="查体模板维护">
            <el-form :inline="true" class="demo-form-inline">
                <el-form-item label="科室名称：">
                    <el-input size="mini" v-model="filter.proName" placeholder="科室名称"></el-input>
                </el-form-item>
                <el-form-item>
                    <el-button size="mini" @click="filterDatas">确认</el-button>
                    <router-link to="/admin/LT-YXSJWH-TJCTMB" style="margin:0 10px">
                        <el-button size="mini" type="warning">添加模板</el-button>
                    </router-link>
                </el-form-item>
            </el-form>
        </crumbs>
        <div class="contents">
            <el-table :data="list"
                      border
                      style="width: 100%">
                <el-table-column
                        :resizable = "false"
                        type="index"
                        :index="indexMethod"
                        label="编号"
                        width="60">
                </el-table-column>
                <el-table-column
                        :resizable = "false"
                        prop="gmtOperate"
                        label="操作时间"
                        :show-overflow-tooltip="true">
                </el-table-column>
                <el-table-column
                        :resizable = "false"
                        prop="name"
                        label="科室名称">
                </el-table-column>
                <el-table-column
                        :resizable = "false"
                        prop="operatorName"
                        label="操作人"
                        width="180">
                </el-table-column>
                
                <el-table-column
                        :resizable = "false"
                        label="操作" width="200">
                    <template slot-scope="scope">
                        <el-button type="text" size="small" @click="toEditProduct(scope.row)">修改</el-button>
                        <span style="margin:0 3px;">|</span>
                        <el-button type="text" size="small" class="delete" @click="showDelDialog(scope.row.id)">删除</el-button>
                    </template>
                </el-table-column>
                <el-table-column
                        :resizable = "false"
                        label="详情">
                    <template slot-scope="scope">
                        <el-button type="text" size="small" @click="getDetailList(scope.row)">详情</el-button>
                    </template>
                </el-table-column>
            </el-table>
            <el-pagination v-if="total>pageSize"
                           :current-page.sync="currentPage"
                           @current-change="currentChange"
                           background
                           :page-size="pageSize"
                           layout="total,prev, pager, next, jumper"
                           :total="total">
            </el-pagination>
        </div>

    </div>
</template>

<script>
  import api from '@api/icss.js';
  import utils from '@api/utils.js';

  export default {
    name: 'PhysicalExamTemplate',
    data: function () {
      return {
        list: [], //常见症状列表
        cacheData: {},
        currentPage: 1,
        pageSize: 10,
        total: 0,
        linkIn:[],
        pays:[],
        filter: {
          proName: ''
        }
      }
    },
    created() {
      this.getDataList();
    },
    methods: {
      toEditProduct(row){
        api.getPhysicalExamTempByDepId({deptId:row.id}).then((res)=>{
            const {code,data,msg} = res.data;
            if(code=='0'){
                const item = Object.assign({},row,data);
                console.log('item', item)
                this.$router.push({name:'AddPhysicalExamTemp',params:{isEdit:true,data:item}});
            }else{
                this.$message({
                message: msg,
                type: 'warning'
                });
            }
        });

        // this.$router.push({
        //   name:'AddPhysicalExamTemp',
        //   params: {info:row}
        // })
      },
      filterDatas(){
        this.currentPage = 1;
        this.getDataList();
      },
      getDataList() {
        const param = this.getFilterItems();
        // const param = {
        //   'name':''
        // };
        api.getPhysicalExamTempList(param).then((res) => {
          if (res.data.code == '0') {
            console.log('PhysicalExamTempList', res)
            const data = res.data.data;
            this.list = data.records;
            this.total = data.total;
          }
        }).catch((error) => {
          console.log(error);
        });
      },
      getDetailList(row) {
        const param = {'deptId': row.id,};
        api.getPhysicalExamTempByDepId(param).then((res)=>{
            const {code,data,msg} = res.data;
            if(code=='0'){
                const item = Object.assign({},row,data);
                this.$router.push({name:'AddPhysicalExamTemp',params:{isDetail:true,data:item}});
            }else{
                this.$message({
                message: msg,
                type: 'warning'
                });
            }
        });
      },
      getFilterItems() {
        const param = {
          name: this.filter.proName,
          current: this.currentPage,
          size: this.pageSize
        };
        return param;
      },
      indexMethod(index) {
        return ((this.currentPage - 1) * this.pageSize) + index + 1;
      },
      currentChange(next) {
        this.currentPage = next;
        if (this.cacheData[next]) {       //如果已请求过该页数据，则使用缓存不重复请求
          this.list = this.cacheData[next];
        } else {
          this.getDataList();
        }
      },
      warning(msg,type){
        this.$message({
          showClose: true,
          message:msg,
          type:type||'warning'
        })
      },
      showConfirmDialog(msg,resolve){
        this.$alert(msg, '提示', {
          confirmButtonText: '确定',
          type: 'warning'
        }).then(() => {
          resolve();
        }).catch(() => {});
      },
      showDelDialog(id){
        this.showConfirmDialog('是否删除该科室症状？',()=>{
          api.delPhysicalExamTemp({'deptId':id}).then((res)=>{
            if(res.data.code=='0'){
              this.warning(res.data.msg||'操作成功','success');
              this.getDataList();
            }else{
              this.warning(res.data.msg);
            }
          }).catch((error)=>{
            this.warning(error);
          })
        });
      }
    }
  }
</script>

<style lang="less">
    @import "../../less/admin.less";
    .status-span{
        font-size: 12px;
        margin-right:10px;
        color: unset;
    }
    .delete{
        color: red
    }
</style>